# Configuration file

##########################################################################################################
# ancient__general
#--------------------------------------------------------------------------------------------------------#
# General and/or miscellaneous options for ancients.
##########################################################################################################

ancient__general {
    # Comma-separated list of string entity ids that will not gain any of these bonuses. Default is WitherBoss.
    S:_blacklist=WitherBoss

    # The additional chance gained from a full moon. Default is 0.005 (+0.5% chance on full moon).
    D:_lunar_chance=0.005

    # The number of days for each application of the below values. Default is 40.0.
    D:_time_span=40.0

    # The chance, for each "_time_span" days, for a mob to spawn as an ancient. Default is 0.001 (0.1% chance).
    D:chance=0.001

    # The maximum ancient chance that can be given over time. Default is 0.005 (0.5% chance).
    D:chance_max=0.005
}


##########################################################################################################
# ancient_attibutes
#--------------------------------------------------------------------------------------------------------#
# Options controlling ancients' extra attributes.
##########################################################################################################

ancient_attibutes {
    # How much more damage bosses deal. Default is 2.0 (+2 damage).
    D:damage_flat_bonus=2.0

    # How much more damage bosses deal. Default is 0.5 (+50% damage).
    D:damage_mult_bonus=0.5

    # How much more health a boss has. Default is 10.0 (10 health).
    D:health_flat_bonus=10.0

    # How much more health a boss has. Default is 2.0 (+200% health).
    D:health_mult_bonus=2.0

    # How much more resistant bosses are to being knocked back. Default is 0.3 (+30% chance to resist knockback).
    D:resist_flat_bonus=0.85

    # How much faster bosses move. Default is -0.15 (-15% speed).
    D:speed_mult_bonus=-0.15
}


##########################################################################################################
# ancient_potions
#--------------------------------------------------------------------------------------------------------#
# Options controlling ancients' potion effects.
##########################################################################################################

ancient_potions {
    # If true, ancient mobs will be immune to fire damage. Default is true.
    B:fire_resistance=true

    # Regenerates health (each rank halves the time between heals). -1 disables this. Default is 0 (1 health per 2.5 seconds).
    I:regeneration=0

    # Increases damage resistance (each rank grants -20% damage). -1 disables this. Default is 0 (-20% damage).
    I:resistance=0

    # If true, ancient mobs will not drown. Default is true.
    B:water_breathing=true
}


